> ## Documentation Index
> Fetch the complete documentation index at: https://docs.no-tickets.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a project

> Partial update — any combination of name, description, status. Returns the updated row.



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/projects/{projectId}
openapi: 3.1.0
info:
  title: no-tickets API
  version: 0.1.0
  description: REST API for the no-tickets team dashboard.
servers: []
security: []
paths:
  /v1/projects/{projectId}:
    patch:
      tags:
        - projects
      summary: Update a project
      description: >-
        Partial update — any combination of name, description, status. Returns
        the updated row.
      operationId: updateProject
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $schema: https://json-schema.org/draft/2020-12/schema
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                description:
                  type: string
                status:
                  type: string
              additionalProperties: false
      responses:
        '200':
          description: Updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Project'
        '401':
          description: No session cookie
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Not a member of the project’s team
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Project not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation failed (no `details` envelope)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - sessionAuth: []
components:
  schemas:
    Project:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        project:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            description:
              anyOf:
                - type: string
                - type: 'null'
            status:
              type: string
            teamId:
              type: string
            createdAt:
              type: string
          required:
            - id
            - name
            - description
            - status
            - teamId
            - createdAt
          additionalProperties: false
      required:
        - project
      additionalProperties: false
    ErrorResponse:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        error:
          type: string
        code:
          type: string
          enum:
            - AUTH_REQUIRED
            - EMPTY_QUERY_FILTER
            - INSUFFICIENT_PERMISSIONS
            - ONBOARDING_REQUIRED
            - PROJECT_NAME_TAKEN
            - PROJECT_NOT_FOUND
            - TEAM_MEMBERSHIP_REQUIRED
            - VALIDATION_FAILED
        docsUrl:
          type: string
      required:
        - error
        - code
        - docsUrl
      additionalProperties: false
  securitySchemes:
    sessionAuth:
      type: apiKey
      in: cookie
      name: session

````